

Patch from rct@gherkin.frus.com (Bob_Tracy(0000))

The Makefile for aicasm has been broken since 2.5.48.  The order in which
objects are specified on the linker command line *is* significant, and if
"-ldb" is made part of AICASM_CFLAGS rather than appearing after the "-o
$(PROG)", I get an undefined symbol error (__db185_open).




 scsi/aic7xxx/aicasm/Makefile |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/aic7xxx/aicasm/Makefile~aic-makefile-fix drivers/scsi/aic7xxx/aicasm/Makefile
--- 25/drivers/scsi/aic7xxx/aicasm/Makefile~aic-makefile-fix	2003-02-18 10:24:32.000000000 -0800
+++ 25-akpm/drivers/scsi/aic7xxx/aicasm/Makefile	2003-02-18 10:24:32.000000000 -0800
@@ -10,9 +10,10 @@ GENHDRS=	aicdb.h $(YSRCS:.y=.h)
 GENSRCS=	$(YSRCS:.y=.c) $(LSRCS:.l=.c)
 
 SRCS=	${CSRCS} ${GENSRCS}
+LIBS=	-ldb
 CLEANFILES= ${GENSRCS} ${GENHDRS} $(YSRCS:.y=.output)
 # Override default kernel CFLAGS.  This is a userland app.
-AICASM_CFLAGS:= -I/usr/include -I. -ldb
+AICASM_CFLAGS:= -I/usr/include -I.
 YFLAGS= -d
 
 NOMAN=	noman
@@ -30,7 +31,7 @@ LFLAGS= -d
 endif
 
 $(PROG):  ${GENHDRS} $(SRCS)
-	$(AICASM_CC) $(AICASM_CFLAGS) $(SRCS) -o $(PROG)
+	$(AICASM_CC) $(AICASM_CFLAGS) $(SRCS) -o $(PROG) $(LIBS)
 
 aicdb.h:
 	@if [ -e "/usr/include/db3/db_185.h" ]; then		\

_
